local L = AceLibrary("AceLocale-2.2"):new("simpleMinimap")


L:RegisterTranslations("enUS", function() return({
	alpha = true,
		alpha_desc = "minimap alpha when outdoors",
	buttonSize = true,
		buttonSize_desc = "change minimap button sizes",
			resize = "resize buttons",
				resize_desc = "resize minimap buttons",
			size = "button size",
				size_desc = "size of the resized minimap buttons",
	bgs = "battlegrounds",
		bgs_desc = "battlegrounds indicator",
	location = "location bar",
		location_desc = "location display bar settings",
			locationShow = "show location bar",
				locationShow_desc = "show / hide location bar",
			locationText = "location bar text",
				locationText_desc = "show zone location text when bar is hidden",
	lock = "lock minimap",
		lock_desc = "lock minimap movement and hide movers",
	lockdown = true,
		lockdown_desc = "lockdown movement and other methods (prevents other mods from using (abusing) them)",
	map = "map button",
		map_desc = "map frame button",
	mail = "mail indicator",
		mail_desc = "unread mail indicator",
	meet = "LFG indicator",
		meet_desc = "looking for group eyeball",
	modules = true,
	reset = "reset profile",
		reset_desc = "reset current profile to defaults",
	resize = "resize buttons",
		resize_desc = "resize minimap buttons",
	scale = true,
		scale_desc = "set minimap cluster scale",
	show = "show / hide",
		show_desc = "show and hide minimap / UI elements",
	strata = true,
		strata_desc = "changes how the frame is overlayed on others",
	time = "time indicator",
		time_desc = "day / night indicator",
	track = "tracking button",
		track_desc = "hunter / gatherer tracking indicator",
	zoom = "zoom in / out",
		zoom_desc = "zoon in / out buttons",
	reset_popup = "Reset this simpleMinimap profile to defaults?"
}) end)
BINDING_HEADER_smmTITLE = "simpleMinimap"
BINDING_NAME_smmTOGGLE = "Toggle Minimap"
BINDING_NAME_smmEXPAND = "Expand Minimap"


L:RegisterTranslations("koKR", function() return({
	alpha = "???",
		alpha_desc = "??? ? ??? ???",
	bgs = "??",
		bgs_desc = "?? ?????",
	location = "?? ?",
		location_desc = "?? ?? ? ??",
			locationShow = "?? ? ??",
				locationShow_desc = "?? ? ?? / ??",
			locationText = "?? ? ??",
				locationText_desc = "?? ??? ?? ??? ?????.",
	lock = "??? ??",
		lock_desc = "??? ??? ?? / ?? ??",
	map = "?? ??",
		map_desc = "?? ?? ??",
	mail = "?? ?????",
		mail_desc = "?? ?? ?? ?????",
	meet = "???? ?????", -- check
		meet_desc = "???? ?????", -- check
	modules = "??",
	reset = "???? ???",
		reset_desc = "?? ????? ????? ???",
	scale = "??",
		scale_desc = "??? ???? ?? ??",
	show = "?? / ??",
		show_desc = "??? / UI ???? ??? ?? ",
	strata = "??",
		strata_desc = "?? ???? ?? ??",
	time = "?? ?????",
		time_desc = "? / ? ?????",
	track = "?? ??",
		track_desc = "??? / ?? ?? ?????",
	zoom = "? ? / ??",
		zoom_desc = "? ? / ?? ??",
	reset_popup = "simpleMinimap ????? ????? ??? ???????"
}) end)
if(GetLocale() == "koKR") then
	BINDING_NAME_smmTOGGLE = "??? ??"
end


L:RegisterTranslations("deDE", function() return({
	alpha = "helligkeit",
		alpha_desc = "minimap helligkeit wenn auerhalb",
	bgs = "schlachtfelder",
		bgs_desc = "schlachtfeld symbol",
	location = "positionsleiste",
		location_desc = "positionsanzeigeleiste einstellungen",
			locationShow = "zeige positionsleiste",
				locationShow_desc = "zeigt / versteckt die positionsleiste",
			locationText = "positionsleisten text",
				locationText_desc = "zeigt zonen positionstext wenn die leiste versteckt ist",
	lock = "sperre minimap",
		lock_desc = "sperrt die minimap gegen verschieben und versteckt die questfenster",
	map = "kartentaste",
		map_desc = "kartenfenstertaste",
	mail = "postsymbol",
		mail_desc = "entfernt das postsymbol",
	meet = "lfg / lfm symbol",
		meet_desc = "suche nach gruppe / und mehr anzeigen",
	modules = "module",
	reset = "resette profil",
		reset_desc = "resettet das gegenwrige profil auf seine grundeinstellung",
	scale = "skalierung",
		scale_desc = "stellt die minimap skalierung ein",
	show = "zeige / verstecke",
		show_desc = "zeigt oder versteckt die minimap / UI elemente",
	strata = "hhenebene",
		strata_desc = "ndert die hhenebene des fensters im gegensatz zu anderen fenstern (verhindert das 2 fenster die gleiche hhenebene haben und somit ineinander verlaufen)",
	time = "zeitanzeige",
		time_desc = "tag / nachtsymbol",
	track = "suchersymbol",
		track_desc = "jger / sammler (erze/kruter) symbol",
	zoom = "zoom rein / raus",
		zoom_desc = "zoon rein / raus tasten",
	reset_popup = "das simpleMinimap profil auf seine grundeinstellung resetten?"
}) end)
if(GetLocale() == "deDE") then
	BINDING_NAME_smmTOGGLE = "Aktiviert Minimap"
end
